Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Class BaseInfGraph.InfTransactionHandler

    java.lang.Object
      com.hp.hpl.jena.graph.impl.TransactionHandlerBase
          com.hp.hpl.jena.reasoner.BaseInfGraph.InfTransactionHandler

All Implemented Interfaces:
  TransactionHandler

Enclosing class:
  BaseInfGraph

    public static class BaseInfGraph.InfTransactionHandler

extends com.hp.hpl.jena.graph.impl.TransactionHandlerBase
implements TransactionHandler

Constructor Summary
`BaseInfGraph.InfTransactionHandler(BaseInfGraph base)`

Method Summary
`void` | `abort()` If transactions are supported and there is a tranaction in progress, abort it.
`void` | `begin()` If transactions are supported, begin a new transaction.
`void` | `commit()` If transactions are supported and there is a tranaction in progress, commit it.
`boolean` | `transactionsSupported()` Does this handler support transactions at all?

Methods inherited from class com.hp.hpl.jena.graph.impl.TransactionHandlerBase
`executeInTransaction`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.graph.TransactionHandler
`executeInTransaction`

Constructor Detail

### BaseInfGraph.InfTransactionHandler

    public BaseInfGraph.InfTransactionHandler(BaseInfGraph base)

Method Detail

### transactionsSupported

    public boolean transactionsSupported()

  Description copied from interface: `TransactionHandler`
  Does this handler support transactions at all?

  Specified by:
    `transactionsSupported` in interface `TransactionHandler`
  Returns:
    true iff begin/abort/commit are implemented and make sense.

### begin

    public void begin()

  Description copied from interface: `TransactionHandler`
  If transactions are supported, begin a new transaction. If tranactions are not supported, or they are but this tranaction is nested and nested transactions are not supported, throw an UnsupportedOperationException.

  Specified by:
    `begin` in interface `TransactionHandler`

### abort

    public void abort()

  Description copied from interface: `TransactionHandler`
  If transactions are supported and there is a tranaction in progress, abort it. If transactions are not supported, or there is no transaction in progress, throw an UnsupportedOperationException.

  Specified by:
    `abort` in interface `TransactionHandler`

### commit

    public void commit()

  Description copied from interface: `TransactionHandler`
  If transactions are supported and there is a tranaction in progress, commit it. If transactions are not supported, , or there is no transaction in progress, throw an UnsupportedOperationException.

  Specified by:
    `commit` in interface `TransactionHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP